# SwiftVersion

enum SwiftVersion

Swift version.

#### Since

4.6

## Entries

SWIFT3
Link copied to clipboard
SWIFT3
SWIFT4
Link copied to clipboard
SWIFT4
SWIFT5
Link copied to clipboard
SWIFT5

Swift 5 major version.

SWIFT6
Link copied to clipboard
SWIFT6

Swift 6 major version.

## Properties

version
Link copied to clipboard
val version: Int

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): SwiftVersion

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<SwiftVersion>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.